%global srcname beanhub-import
%global forgeurl https://github.com/LaunchPlatform/%{srcname}

Name:           python-%{srcname}
Version:        1.0.7
Release:        %autorelease
Summary:        Library to import extracted transactions from beanhub-extract

License:        MIT
URL:            https://beanhub-import-docs.beanhub.io
# PyPI tarball doesn't include tests
Source:         %{forgeurl}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  sed

%global _description %{expand:
Beanhub-import is a simple, declarative, smart, and easy-to-use library for
importing extracted transactions from beanhub-extract. It generates Beancount
transactions based on predefined rules.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Relax pytz version dependency
sed -i 's/pytz = ">=2023.1,<2025"/pytz = ">= 2023.1"/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files beanhub_import

%check
%pytest -v

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md assets/

%changelog
%autochangelog
